/* Bootstrap Validation Summary Override */
.validation-summary-valid {
    display: none;
}

.validation-summary-errors ul {
    margin-bottom: 0;
    padding-left: 1rem;
}

.alert.validation-summary-errors {
    margin-bottom: 1rem;
}

/* Give subscript a little bit more space before the chevron */
.pos-right {
    right: 4px;
}

/* Reference classes, no implementation */
.js-waves-off, .js-waves-on, .js-get-date, .js-collapse, .js-modal-settings, .js-filter-message, .js-buttons, .js-icon-class, .js-icon-copy, .base, .needs-validation, .flex-start, .text-faded, .app-container-demo, .has-tooltip, .has-popover {
}

.js-bg-color, .js-bg-gradient, .js-bg-gradient-demo, .js-bg-target {
}
.list-group-item.active >div>span>img{
    filter:invert(1);
}
/* Enter custom CSS rules for your application here */

.pdf-active {
    display: block;
    height: calc(70vh - 20px);
    width: 100%; 
}
.pdf-inactive {
    display: none !important;
}

.subheader-title {
    text-transform: uppercase;
    letter-spacing: 2px;
    font-size: 24px;
    font-weight: 400;
}
/*************** overlay css ***************/
.tally-spinner {
    height: 60px;
    width: 60px;
    margin: auto;
    display: flex;
    position: absolute;
    -webkit-animation: rotation .6s infinite linear;
    -moz-animation: rotation .6s infinite linear;
    -o-animation: rotation .6s infinite linear;
    animation: rotation .6s infinite linear;
    /*
    border-left: 6px solid rgba(0, 174, 239, .15);
    border-right: 6px solid rgba(0, 174, 239, .15);
    border-bottom: 6px solid rgba(0, 174, 239, .15);
    border-top: 6px solid rgba(0, 174, 239, .8);
*/
    border-left: 6px solid rgba(83, 46, 99, .15);
    border-right: 6px solid rgba(83, 46, 99, .15);
    border-bottom: 6px solid rgba(83, 46, 99, .15);
    border-top: 6px solid rgba(83, 46, 99, .8);
    border-radius: 100%;
}

@-webkit-keyframes rotation {
     from {
         -webkit-transform: rotate(0deg);
     }
     to {
         -webkit-transform: rotate(359deg);
     }
 }

@-moz-keyframes rotation {
     from {
         -moz-transform: rotate(0deg);
     }

     to {
         -moz-transform: rotate(359deg);
     }
 }

@-o-keyframes rotation {
     from {
         -o-transform: rotate(0deg);
     }

     to {
         -o-transform: rotate(359deg);
     }
 }

@keyframes rotation {
     from {
         transform: rotate(0deg);
     }

     to {
         transform: rotate(359deg);
     }
 }

#tally-overlay {
    position: absolute;
    display: none;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: rgba(0,0,0,0.3);
    z-index: 2;
    cursor: pointer;
}

#tally-ps {
    display: none;
    flex-direction: row-reverse;
}

.dataTables_info {
    font-style: italic
}

/*************** site details css ***************/
.site-content {
    display: flex;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
    display: flex;
    flex-direction: column;
    margin-top: 80px;
    background: #ffffff;
    border-radius: 3px;
}

.site-diagram {
    display: flex;
    width: 1000px;
    align-items: stretch;
    justify-content: space-evenly;
    min-height: 60%;
    margin: 0 auto;
}

.site-service {
    margin-top: 3px;
    height: 100%;
    padding: 16px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    border: 1px solid #a2a2a2;
    border-radius: 5px;
    max-width: 136px;
    min-height: 150px;
    font-size: smaller;
    font-weight: 400;
    align-items: center;
    box-shadow: 0 0 13px 0 rgba(62,44,90,.08);
}

.border-none {
    border: none !important;
}

.site-service-name {
}

.site-service-id {
}

.site-connection {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: 9px;
}

.site-connection-loss-factor {
    padding: 16px;
    display: flex;
    width: 100px;
    flex-direction: column;
    align-items: center;
}

.site-connection-loss-value {
    align-items: center;
}

.site-meter-block {
    display: flex;
    flex-direction: column;
}

.site-meter-data {
    display: flex;
    align-items: center;
    padding: 8px;
    margin-top: 16px;
    border: 1px solid #a2a2a2;
    border-radius: 5px;
    padding: 3px;
    box-shadow: 0 0 13px 0 rgba(62,44,90,.08);
    background: white;
}

.site-meter-data-removed div {
    opacity: .8;
}

.site-icon-container {
    height: 60px;
    width: 60px;
    padding: 16px;
}

.site-secondary-icon-container {
    height: 30px;
    width: 30px;
}

.site-service-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    font-size: smaller;
    font-weight: 600;
    margin: 3px;
}

.site-type-container {
    align-self: flex-start;
    font-size: smaller;
    font-weight: 600;
    align-items: center;
    display: flex;
    flex-direction: column;
    width: 136px;
    min-height: 150px;
    background: white;
    /*z-index: 2;*/
}

.site-image-container {
    border: 1px solid #a2a2a2;
    margin-top: 3px;
    border-radius: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    font-weight: normal;
    color: #716f6f;
    padding: 16px;
    height: 100%;
    width: 100%;
    z-index: 1;
    background:white;
    box-shadow: 0 0 13px 0 rgba(62,44,90,.08);
}

.site-meter-info {
    label: SiteMeterInfo;
    display: flex;
    flex-direction: column;
    font-weight: normal;
    padding: 3px;
    font-size: 10px;
    flex-shrink: 0;
    width: 25%;
}

.site-meter-info-block {
    label: SiteMeterInfoBlock;
    display: flex;
    align-items: baseline;
    width: 380px;
    justify-content: space-between;
}

.button-align-right {
    text-align: right;
}

.site-service-block {
    display: flex;
    justify-content: space-between;
}

.site-left-container {
    display: flex;
    flex-direction: column;
    min-height: 600px;
}

.map-container {
    width: 500px;
    height: 500px;
    margin-top: 16px;
    box-shadow: 0 0 13px 0 rgba(62,44,90,.08);
    position: relative;
    display: flex;
    flex-direction: column;
}

#map {
    height: 100%;
    width: 100%;
}

#pano {
    height: 30%;
    width: 45%;
    position: absolute;
    bottom: 0px;
}

#map-address {
    position: relative;
    background: white;
    /*padding: 16px 50px 16px 8px;*/
    box-shadow: 0 0 13px 0 rgba(62,44,90,.08);
}


.service-bottom {
    width: 100%;
}

.site-meter-connector {
    height: 60px;
    position: absolute;
    top: -40px;
    z-index: -1;
}

.site-meter-container {
    position: relative;
}

.site-meter {
    min-width: 450px;
    z-index: 0;
}

.site-nmi {
    justify-content: flex-start;
    font-size: large;
    display: flex;
    width: 1000px;
    align-items: stretch;
    margin: 0 auto;
    font-size: larger;
    font-weight: 500;
    padding: 24px 0;
}

.site-fault {
    font-weight: 800;
}

@media only screen and (max-width: 1850px) {
    .site-diagram {
        transform:scale(.9)
    }
}

@media only screen and (max-width: 550px) {
    .site-diagram {
        transform:scale(.5)
    }
}

@media only screen and (max-width: 1725px) {
.site-diagram{
    flex-direction:column;
    width:100%;
    align-items:center;
}
.site-service-block{
    max-width:500px;
}
.site-meter-block{
    max-width:500px
}
}

.placeholder:empty:before {
  content: attr(data-placeholder);
  font-style: italic;
  color: grey;
}

.ulContainer {
    align-items: center;
    display: flex !important;
}

.nav_hello {
    margin-bottom:0;
    margin-right:40px;
}

.additional_profile_info {
    font-style:italic;
    color:grey;

}

.export-meter-data {
    max-width: 200px;
    float: right;
}
/*
.source-of-info {
    font-style: italic;
    color: grey;
    font-size: 12px;
    display: flex;
    flex-direction: row-reverse;
    margin-bottom: 16px;
}
*/

.panel-fullscreen > .panel-container > .panel-content > .row > .fullscreen-graph>div> .svg-container {
    height:77vh !important;
}

/*.dashboard-tile {
    background: #36578c;
}
*/

.price-tile {
    transition: all .2s ease;
    min-width: 200px;
    max-height: 94px;
    background-color: #0B1D42;
    border: none;
}

    .price-tile:hover {
        background-color: #0B1D42;
        opacity: .9;
    }

.not-clickable{
    cursor:default;
}

.not-clickable:hover{
    opacity:1;
}

.panel-fullscreen .pdf-active {
    height: 94vh;
}

.pdf-viewer-header{
    display:flex;
    justify-content:space-between
}

.price-difference {
    font-size: 16px;
    position: absolute;
    white-space: nowrap;
    top:0;
    left:3px;
}

.price--increase{
    color: #00b979;
}

.price--decrease{
    color: #e01512;
}

.custom-download-button{
    height:37px;
}

/***** dashboard tile **********/
.w-20 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 20%;
    flex: 0 0 20%;
    max-width: 20%;
}

@media (min-width: 576px) {
     .w-sm-20 {
         -webkit-box-flex: 0;
         -ms-flex: 0 0 20%;
         flex: 0 0 20%;
         max-width: 20%;
         padding-left: 0.75rem;
     }
 }

@media (min-width: 768px) {
     .w-md-20 {
         -webkit-box-flex: 0;
         -ms-flex: 0 0 20%;
         flex: 0 0 20%;
         max-width: 20%;
     }
 }

@media (min-width: 992px) {
     .w-lg-20 {
         -webkit-box-flex: 0;
         -ms-flex: 0 0 20%;
         flex: 0 0 20%;
         max-width: 20%;
         padding-left: 0.75rem;
         padding-right: 0.75rem;
     }
 }

@media (min-width: 1200px) {
     .w-xl-20 {
         -webkit-box-flex: 0;
         -ms-flex: 0 0 20%;
         flex: 0 0 20%;
         max-width: 20%;
     }
 }
